---
title: "Get team members"
url: "https://docs.signnow.com/docs/manage-users/operations/get-api-v2-teams-team_id-users"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/get-api-v2-teams-team_id-users"
method: "GET"
path: "/v2/teams/{team_id}/members"
operation_id: "get-api-v2-teams-team_id-users"
authorization: "bearer"
---

# Get team members

`GET /v2/teams/{team_id}/members`

This endpoint allows users to get a list of members of a team, including admins.

Only team members can use the endpoint.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `team_id` | string | Yes |  |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `with_declined_requests` | boolean | No | Include users that declined an invitation to join the team. |

## Responses

### 200

* Success
* Success with `with_declined_requests=true`

**Example** (`Success`)

```json
{
  "data": [
    {
      "id": "21436a9a91c744239f02318d4090d3c188f4f378",
      "role": "admin",
      "emails": [
        "member@mail.com"
      ],
      "status": "accepted",
      "billing": 1,
      "primary": true,
      "full_name": "Jane Doe",
      "avatar_url": "https://example.com/avatars/user12345.png",
      "can_admin_view": false,
      "document_access": 1
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "id": "1234567890123456789012345678901234567890",
      "pro": 0,
      "type": 1,
      "email": "j.doe@email.com",
      "active": 1,
      "created": 1714404437,
      "updated": 1714404437,
      "is_admin": 1,
      "last_name": "Doe",
      "first_name": "Jane"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`With declined requests`)

```json
{
  "data": [
    {
      "id": "23278db3aa1e40069462f00b2074673a682731a6",
      "role": "member",
      "emails": [
        "member1@mail.com"
      ],
      "status": "pending",
      "full_name": "Jane Doe",
      "avatar_url": "https://cdn.example.com/users/avatars/56789.jpg",
      "invited_by": "admin@mail.com",
      "request_uid": "983d5d4fca18841e78be8061622beeaed6a9da2cd",
      "request_role": "member",
      "request_updated": 1719840457
    },
    {
      "id": "b215d678cb01420c850c354859e0b6d8b4425b89",
      "role": "admin",
      "emails": [
        "admin@mail.com"
      ],
      "status": "accepted",
      "billing": 1,
      "primary": false,
      "full_name": "Jane Doe",
      "avatar_url": "https://app.signnow.com/api/v2/avatars/66de0c3d72a24682848dc5d87f4007c1f2de22b7/download",
      "document_access": 1
    },
    {
      "id": "399b9178e4244152878e85333a360a95608a2723",
      "role": "member",
      "emails": [
        "member2@mail.com"
      ],
      "status": "accepted",
      "full_name": "Anna Green",
      "avatar_url": "https://app.signnow.com/api/v2/avatars/66de0c3d72a24682848dc5d87f4007c1f2de22a8/download",
      "request_role": "member"
    },
    {
      "id": "21436a9a91c744239f02318d4090d3c188f4f378",
      "role": "member",
      "emails": [
        "member3@mail.com"
      ],
      "status": "accepted",
      "full_name": "Jeremy Black",
      "avatar_url": "https://app.signnow.com/api/v2/avatars/99de0c3d72a24682848dc5d87f4007c1f2de22b7/download",
      "request_role": "member"
    },
    {
      "id": "8bb5e7e301e4468fb54fcf1c0f4892d8aebca3f3",
      "role": "admin",
      "emails": [
        "admin2@mail.com"
      ],
      "status": "accepted",
      "billing": 1,
      "primary": true,
      "full_name": "Elaine Hicks",
      "avatar_url": "https://app.signnow.com/api/v2/avatars/55de0c3d72a24682848dc5d87f4007c1f2de22b7/download",
      "document_access": 1
    },
    {
      "id": "0bc4a5b4f22548ec89344e9a5ecd94c6ba5baefd",
      "role": "member",
      "emails": [
        "member4@mail.com"
      ],
      "status": "declined",
      "full_name": "Kate Brown",
      "avatar_url": "https://app.signnow.com/api/v2/avatars/33de0c3d72a24682848dc5d87f4007c1f2de22b7/download",
      "request_role": "member"
    }
  ],
  "meta": {
    "pagination": {
      "count": 6,
      "links": [],
      "total": 6,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* User is not team member
* Team not found


**Example** (`Team not found`)

```json
{
  "errors": [
    {
      "code": 66391,
      "message": "Team not found"
    }
  ]
}
```

**Example** (`User not team member`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "User is not part of this team"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/teams/{team_id}/members" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/get-api-v2-teams-team_id-users*
